Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596249 - grep changed behavior for interval patterns
Summary: grep changed behavior for interval patterns
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: grep
Version: 5.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 590002
Blocks: 594571
TreeView+ depends on / blocked
 
Reported: 2010-05-26 13:08 UTC by Marek Grac
Modified: 2010-06-17 08:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 590002
Environment:
Last Closed: 2010-06-17 08:54:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Paolo Bonzini 2010-06-15 09:49:04 UTC
> Same problem is on 5.5 where grep version is 2.5.1

Are you sure?

$ echo 'ASDFG' | grep '[a-z]'
$

Comment 2 Jaroslav Škarvada 2010-06-15 10:24:20 UTC
Strange, but confirmed, happened also if compiled without all RH patches.

Comment 3 Jaroslav Škarvada 2010-06-15 10:26:02 UTC
But probably it is not related to Bug #590002.

Comment 4 Jaroslav Škarvada 2010-06-17 07:48:40 UTC
Happened with:

LANG=cs_CZ.UTF-8

but NOT with:

LANG=en_US.UTF-8

Comment 5 Jaroslav Škarvada 2010-06-17 07:53:12 UTC
Thus it is not the same issue as in Bug #590002 and the "Description of problem" is not valid.

Comment 6 Paolo Bonzini 2010-06-17 08:04:25 UTC
Not my call, but I'd close this as NOTABUG.

Comment 7 Jaroslav Škarvada 2010-06-17 08:54:56 UTC
OK, thanks.


Note You need to log in before you can comment on or make changes to this bug.